{
  programs = {
    go = {
      enable = true;
      goPath = ".local/go";
    };

    git = {
      enable = true;
      userName = "Sense T";
      userEmail = "me@sense-t.eu.org";

      ignores = [
        ".DS_Store"
        "*~"
        "*.swp"
      ];
    };

    vim = {
      enable = true;
      defaultEditor = true;
    };

    zsh = {
      enable = true;
      enableAutosuggestions = true;
      enableSyntaxHighlighting = true;
      enableVteIntegration = true;

      oh-my-zsh = {
        enable = true;
        plugins = [ "sudo" "git" "golang" "thefuck" "kubectl" "emoji" "pip" "npm" "yarn" "vscode" ];
        theme = "fishy";
      };
    };
  };
}
